<?php

if (function_exists('register_sidebar'))
{
	
	register_sidebar(
		array(
			'name'          => 'Sidebar1',
	        'before_widget' => '<li id="%1$s" class="widget %2$s"><div class="sidebar_top"></div>',
    	    'after_widget'  => '<div class="sidebar_bottom"></div></li>',
        	'before_title'  => '<h2 class="widgettitle">',
        	'after_title'   => '</h2>'
		)
	);

}



function recent_comments($limit, $ncomments = '3')
{
	   global $wpdb;
	   $sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
	   comment_post_ID, comment_author, comment_date_gmt, comment_approved,
	   comment_type,comment_author_url,comment_content AS com_excerpt
	   FROM $wpdb->comments
	   LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
	   $wpdb->posts.ID)
	   WHERE comment_approved = '1' AND comment_type = '' AND
	   post_password = ''
	   ORDER BY comment_date_gmt DESC
	   LIMIT $ncomments";
	   $comments = $wpdb->get_results($sql);
	   
	   $output = $pre_HTML;
	   $output .= "<ul>";
	   
	   foreach ($comments as $comment) {
	       $cexcerpt = explode(' ', $comment->com_excerpt, $limit);
	       array_pop($cexcerpt);
	   	   $cexcerpt = implode(" ",$cexcerpt);
		   $output .= "\n<li><div class=\"pdate\">".strip_tags($comment->comment_author)
		   ." @</div>" . "<div class=\"pexcerpt\"><a href=\"" . get_permalink($comment->ID) .
		   "#comment-" . $comment->comment_ID . "\" title=\"on " .
		   $comment->post_title . "\">" . strip_tags($cexcerpt)
		   ."</a></div></li>";
	   }
	   
	   $output .= "\n</ul>";
	   $output .= $post_HTML;
	   echo $output;
}




function excerpt($num) {
	$limit = $num+1;
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	array_pop($excerpt);
	$excerpt = implode(" ",$excerpt);
	echo $excerpt;
}


/********* Popular Posts *********/

function popular_post($no_posts = 5, $before = '<li>', $after = '</li>', $show_pass_post = false, $duration='') {

	global $wpdb;
	$request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";
	$request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";
	if(!$show_pass_post) $request .= " AND post_password =''";
	if($duration !="") { $request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
	}
	$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
	$posts = $wpdb->get_results($request);
	$output = '';
		if ($posts) {
			foreach ($posts as $post) {
			$post_title = stripslashes($post->post_title);
			$comment_count = $post->comment_count;
			$permalink = get_permalink($post->ID);
			$output .= $before . '<a href="' . $permalink . '" title="' . $post_title.'">' . $post_title . '</a>' . $after;
			}
		} else {
		$output .= $before . "None found" . $after;
		}
	echo $output;
	
}

?>
